Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

eZ\Publish\Core\FieldType\Keyword\KeywordStorage\Gateway\LegacyStorage Member List

This is the complete list of members for eZ\Publish\Core\FieldType\Keyword\KeywordStorage\Gateway\LegacyStorage, including all inherited members.

$dbHandler | eZ\Publish\Core\FieldType\Keyword\KeywordStorage\Gateway\LegacyStorage | protected
__construct(DatabaseHandler $dbHandler) | eZ\Publish\Core\FieldType\Keyword\KeywordStorage\Gateway\LegacyStorage |
assignKeywords($fieldId, $keywordMap) | eZ\Publish\Core\FieldType\Keyword\KeywordStorage\Gateway\LegacyStorage | protected
deleteFieldData($fieldId) | eZ\Publish\Core\FieldType\Keyword\KeywordStorage\Gateway\LegacyStorage |
deleteOldKeywordAssignments($fieldId) | eZ\Publish\Core\FieldType\Keyword\KeywordStorage\Gateway\LegacyStorage | protected
getAssignedKeywords($fieldId) | eZ\Publish\Core\FieldType\Keyword\KeywordStorage\Gateway\LegacyStorage | protected
getConnection() | eZ\Publish\Core\FieldType\Keyword\KeywordStorage\Gateway\LegacyStorage | protected
getContentTypeId(Field $field) | eZ\Publish\Core\FieldType\Keyword\KeywordStorage\Gateway\LegacyStorage |
getExistingKeywords($keywordList, $contentTypeId) | eZ\Publish\Core\FieldType\Keyword\KeywordStorage\Gateway\LegacyStorage | protected
getFieldData(Field $field) | eZ\Publish\Core\FieldType\Keyword\KeywordStorage\Gateway\LegacyStorage |
getSequenceName($table, $column) | eZ\Publish\SPI\FieldType\StorageGateway | protected
insertKeywords(array $keywordsToInsert, $contentTypeId) | eZ\Publish\Core\FieldType\Keyword\KeywordStorage\Gateway\LegacyStorage | protected
loadContentTypeId($fieldDefinitionId) | eZ\Publish\Core\FieldType\Keyword\KeywordStorage\Gateway\LegacyStorage | protected
setConnection($connection) | eZ\Publish\Core\FieldType\StorageGateway |
storeFieldData(Field $field, $contentTypeId) | eZ\Publish\Core\FieldType\Keyword\KeywordStorage\Gateway\LegacyStorage |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.